Bug 1274332 - Retirement Warning dropdown menu in retirement editor is not updated correctly
Retirement Warning dropdown menu in retirement editor is not updated correctly
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Milan Zázrivec
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 09:44 EDT by Milan Zázrivec
Modified: 2015-12-08 08:39 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2015-10-22 09:44:56 EDT
Description of problem:
With the new Patternfly selectpicker being used for our dropdown menus,
retirement editor dropdown menu is not being updated / rendered
correctly.

Version-Release number of selected component (if applicable):
CFME 5.5

How reproducible:
Always

Steps to Reproduce:
1. Navigate to a VM's details page
2. Lifecycle -> Set Retirement Date
3. Set retirement date & retirement warning (for example 1 week)
4. Again, navigate to Lifecycle -> Set Retirement Date
5. See the retirement warning dropdown menu

Actual results:
It's set to 'None'

Expected results:
It should be set to '1 week before retirement'

Additional info:
This is caused by us using a new Patternfly component for dropdown menus.
Retirement editor is an Angular editor and therefore additional
things need to be changed for the dropdown menu to be updated correctly
with the data from respective angular controller (model).
Comment 1 Milan Zázrivec 2015-10-22 10:16:52 EDT
https://github.com/ManageIQ/manageiq/pull/5046
Comment 3 CFME Bot 2015-10-26 10:10:17 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d008c02ea85490f8c94f0b26b5bfd815c469b658

commit d008c02ea85490f8c94f0b26b5bfd815c469b658
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Oct 22 16:09:33 2015 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Oct 23 16:22:21 2015 +0200

    Fix update of dropdown menu in retirement editor
    
    This fix is to make sure that the data (i.e. retirement warning)
    in respective angular controller is correctly displayed in
    the retirement editor UI (i.e. the dropdown menu is correctly
    set to the item showing correct retirement warning.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274332

 Gemfile                                           |  1 +
 app/assets/javascripts/application.js             |  1 +
 app/assets/javascripts/miq_angular_application.js |  2 +-
 app/assets/stylesheets/application.css            |  2 +-
 app/views/shared/views/_retire.html.haml          | 18 ++++++++++--------
 5 files changed, 14 insertions(+), 10 deletions(-)
Comment 4 Milan Falešník 2015-11-04 11:54:56 EST
The error is not present in 5.5.0.9.
Comment 6 errata-xmlrpc 2015-12-08 08:39:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.